<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_taxes.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td']));
$coderech = strip_tags(trim($_GET['code']));

$pbm_tpf=FALSE;
$tpfmod=TRUE;
$tpfdesact=TRUE;
	
if ($coderech <> "")
{
	$row = lit_enr_tpf($coderech);
	if (is_array($row))
	{
		extract ($row);
		$tpfmod=tpf_modifiable($coderech,TRUE);
		$tpfdesact=tpf_desactivable($coderech,TRUE);
	}
	else
		$pbm_tpf=TRUE;
}
else
{
	if ($td<>"add")	$pbm_tpf=TRUE;
}

if ($pbm_tpf==FALSE)
{
	switch ($td)
	{
		case "add" :
			$titre = "CREATION TAXE";
			$tpf_actif=TRUE;
			break;
		case "edit" :
			$titre = "MODIFICATION TAXE";
			break;
		case "del" :
			$titre = "SUPPRESSION TAXE";
			break;
		default :
			$pbm_tpf=TRUE;
			break;
	}
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-type=" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Taxe Parafiscale</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript sur les champs -->
<script language="JavaScript" src="../jscript/verif_field.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab_champ=new Array(
	"nom:code ; format:alphanum ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_code); ?> ; lmn:1 ; lmx:10; stok:frmok ; stbad:frmbad",
	"nom:codema ; format:liste ; req:Y ; txt:Organisme ; vmn:1 ; stok:frmok ; stbad:frmbad",
	"nom:desc ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_lib); ?>; lmn:1 ; lmx:100; stok:frmok ; stbad:frmbad",
	"nom:valeur; format:reel_ns ; req:N ; txt:Valeur; lmx:10; stok:frmok ; stbad:frmbad",
	"nom:tva; format:liste ; req:Y ; txt:TVA; vmn:1 ; stok:frmok ; stbad:frmbad");
//-->
</script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<?PHP if ($td == "del") { ?>
<body onLoad="warndel();metReadonly();tst_pour(document.tpf_maj.pour.value);verif_basepour(document.tpf_maj.global.value);verif_valeur(document.tpf_maj.asaisir.value,false);">
<?PHP } else { ?>
<body onLoad="tst_pour(document.tpf_maj.pour.value);verif_basepour(document.tpf_maj.global.value);verif_valeur(document.tpf_maj.asaisir.value,false);metFocus();">
<?PHP }
include_once("../inc/entete.inc.php"); 
if ($pbm_tpf==FALSE)
{
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<table width="100%"  border="0">
  <tr>
	<td width="33%"><strong><em><a href="tpf_lst.php?ta=m"><?PHP echo $txt_lnk_ret_liste; ?></a></em></strong></td>
	<td width="33%"align="center" class="annot_petit_it">(<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> : <?PHP echo $txt_div_saisoblg; ?>)</td>
	<td width="33%">&nbsp;</td>
  </tr>
</table>
<form name="tpf_maj" method="post" action="tpf_enr.php" onSubmit="javascript:; return (VForm(this,tab_champ,'','<?PHP echo $_SESSION["lng"]; ?>'));">
<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
<table width="100%"  border="0">
<tr>
	<td width="10%" class="rubfrm" id="f_code" align="right"><?PHP echo $txt_chp_code; ?></td>
	<td width="47%">
	<?PHP if ($td == "add") { ?>
	<input name="code" type="text" id="code" value="<?PHP echo $tpf_code ?>" size="10" onChange="javascript:this.value=this.value.toUpperCase();">
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP } else { ?>
	<input name="code" type="text" id="code" value="<?PHP echo $tpf_code ?>" size="10" readonly="1">
	</td>
	<?PHP } ?>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_codema" align="right">Organisme collecteur</td>
	<td>
	<?PHP
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	if (($td <> "view") and ($td<>"del"))  // zone modifiable si pas en visualisation
	{ 
		// Création de la liste des marques
		$rech = "SELECT * FROM ".TBMQUE." WHERE `mque_code`<>'*' AND `mque_type`='4' ORDER BY mque_ste";
		$rs = mysql_query($rech) or die(mysql_error());

		echo '<select name="codema" id="codema">';

		echo "<option value=\"\">-- Choisissez une marque --</option>";
		echo "<option value=\"-1\"";
		if ($tpf_codema == "-1")
			echo " selected";
		echo ">-- Sans objet --</option>";

		while ($resultat = mysql_fetch_array($rs)) 
		{
			extract($resultat);

			if ($tpf_codema == $mque_code)
				echo '<option value="'.$mque_code.'" selected>'.$mque_ste.'</option>';
			else
				echo '<option value="'.$mque_code.'">'.$mque_ste.'</option>';
		}
		echo '</select>';
		echo ' <img src="../img/oblig.png" align="absmiddle" alt="'.$alt_chp_oblig.'">';
	}
	else
	{
		$rech = "SELECT * FROM ".TBMQUE." WHERE `mque_code` = '".$rpdt_codema."'";
		$rs = mysql_query($rech) or die(mysql_error());
		if ($row = mysql_fetch_array($rs))
		{
			extract ($row);
		}
	?>
	<input name="codema" type="hidden" id="codema" value="<?PHP echo $rpdt_codema; ?>">
	<input name="nomma" type="text" id="nomma" value="<?PHP echo htmlspecialchars($mque_ste); ?>" size="40" readonly="1">
	<?PHP
	}
	mysql_free_result($rs);
	mysql_close($conn);
	?>
	<div class="annot_petit_it">L'organisme collecteur est utilis&eacute; pour les &eacute;co taxes.</div>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_desc" align="right"><?PHP echo $txt_chp_lib; ?></td>
	<td><input name="desc" type="text" id="desc" value="<?PHP echo htmlspecialchars($tpf_desc); ?>" size="100" onChange="javascript:this.value=this.value.toUpperCase();">
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
</tr>
<tr>
  <td class="rubfrm" id="f_tva" align="right">TVA</td>
  <td>
  <?PHP if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
  { 
  ?>
	<select name="tva" size="1" id="tva" onChange="verif_global(this.value);">
  <?PHP
	echo "<option value=\"\">-- Choisissez une TVA --</option>";
	echo "<option value=\"-2\"";
	if ($tpf_codetva == "-2")
		echo ' selected';
	echo ">Sans TVA</option>";
	echo "<option value=\"-1\"";
	if ($tpf_codetva == "-1")
		echo ' selected';
	echo ">TVA de l'article</option>";
	
	// Création de la liste des TVA
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rs = mysql_query("SELECT * FROM ".TBTVA." WHERE tva_actif=1 ORDER BY tva_desc");

	while ($resultat = mysql_fetch_array($rs)) 
	{
		extract($resultat);
		echo '<option value="'.$tva_code.'"';
		if ($tpf_codetva == $tva_code)
			echo ' selected';
		echo '>'.$tva_desc.'</option>';
	}
	mysql_free_result($rs);
	mysql_close($conn);
	
	?>
	</select>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
  <?PHP
  }
  else
  {
 	switch ($tpf_codetva)
	{
		case "-2" :
			$ntva="Sans TVA";
			break;
		case "-1" :
			$ntva="TVA de l'article";
			break;
		default :
			$row=lit_enr_tva($tpf_codetva,TRUE);
			if (is_array($row))
				extract($row);
			$ntva=$tva_desc;
			break;
	}
  ?>
	<input name="tva" type="hidden" id="tva" value="<?PHP echo $tpf_codetva ?>"> 
	<input name="ntva" type="text" id="ntva" align="right" value="<?PHP echo $ntva ?>" size="40" readonly="1"> 
  <?PHP
  }
  ?>
  <br><span class="annot_petit_it">
  <?PHP
  if ($tpfmod==TRUE) {
  ?>
	'Sans TVA' : aucun taux de TVA sur la taxe parafiscale.<br>'TVA de l'article' : reprend la TVA de l'article.
	<br>Sinon, sa propre TVA.
  <?PHP } else { ?>
	Vous ne pouvez pas modifier le taux de TVA d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
  <?PHP }?>
  </span>
  </td>
</tr>
<tr>
	<td class="rubfrm" id="f_valeur" align="right">
	<span id="txtpour2" style="display:none">Valeur</span>
	<span id="pas_txtpour2" style="display:block">Valeur TTC</span>
	</td>
	<td>
	<input name="valeur" type="text" id="valeur" style="text-align:right" value="<?PHP echo $tpf_valeur; ?>" size="10" onChange="formatedeci(this.id,2);" <?PHP if ($tpfmod==FALSE) echo "readonly=\"readonly\"" ?>>
	<span id="sympour" style="visibility:hidden" align="left">%</span>
	<span id="pas_sympour" style="visibility:visible" align="left"><?PHP echo $lang['symbole_monnaie']; ?></span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_pour" align="right">Pourcentage ?</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
	{ 
		echo "<select name=\"pour\" size=\"1\" id=\"pour\" onChange=\"tst_pour(this.value);\">";
		echo "<option value=\"Oui\"";
		if ($tpf_pour==TRUE) echo " selected";
		echo ">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\"";
		if ($tpf_pour==FALSE) echo " selected";
		echo ">".$sel_lst_non."</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfmod==FALSE))
	{ 
	if ($tpf_pour == TRUE)
	{
	?>
	<input name="pour" type="text" id="pour" value="Oui" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	else
	{
	?>
	<input name="pour" type="text" id="pour" value="Non" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	}
	?>
	<br /><span class="annot_petit_it">
	<?PHP
	if ($tpfmod==TRUE) {
	?>
	'Oui' : la valeur est un pourcentage.<br>'Non' : la valeur est un montant.
	<?PHP } else { ?>
	Vous ne pouvez pas modifier le type pourcentage d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
	<?PHP }?>
	</span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_basepour" align="right">Base pourcentage ?</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
	{ 
		echo "<select name=\"basepour\" size=\"1\" id=\"basepour\" >";
		echo "<option value=\"0\"";
		if ($tpf_basepour==FALSE) echo " selected";
		echo ">Total des produits sans les taxes</option>";
		echo "<option value=\"1\"";
		if ($tpf_basepour==TRUE) echo " selected";
		echo ">Total des produit avec les taxes</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfmod==FALSE))
	{
	$txt="";
	$cache=0;
	if ($tpf_typmt == TRUE)
	{
		if ($tpf_basepour == FALSE)
			$txt="Total des produits sans les taxes";
		else
		{
			$txt="Total des produits avec les taxes";
			$cache=1;
		}
	} 
	else
		$txt="Sans Objet";
	?>
	<input name="basepour" type="hidden" id="basepour" value="<?PHP echo $cache; ?>">
	<input name="basepour" type="text" id="basepour" value="<?PHP echo $txt; ?>" size="40" readonly="1" <?PHP if ($tpf_typmt==FALSE) echo "disabled=\"disabled\""; ?>>
	<?PHP
	}
	?>
	<br /><span class="annot_petit_it">
	<?PHP	
	if ($tpfmod==TRUE) {
	?>
	Uniquement pour les taxes globales avec pourcentage.
	<?PHP } else { ?>
	Vous ne pouvez pas modifier la base pourcentage d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
	<?PHP }?>
	</span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_asaisir" align="right">A saisir ?</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
	{ 
		echo "<select name=\"asaisir\" size=\"1\" id=\"asaisir\" onChange=\"verif_valeur(this.value,true);\">";
		echo "<option value=\"Oui\"";
		if ($tpf_asaisir==TRUE) echo " selected";
		echo ">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\"";
		if ($tpf_asaisir==FALSE) echo " selected";
		echo ">".$sel_lst_non."</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfmod==FALSE))
	{ 
	if ($tpf_asaisir == TRUE)
	{
	?>
	<input name="asaisir" type="text" id="saisir" value="Oui" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	else
	{
	?>
	<input name="asaisir" type="text" id="asaisir" value="Non" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	}
	?>
	<br><span class="annot_petit_it">
	<?PHP
	if ($tpfmod==TRUE) {
	?>
	'Oui' : la valeur sera &agrave; saisir (soit dans les fiches articles, soit dans les d&eacute;tails interventions, en fonction de 'Global').<br>'Non' : la valeur sera celle de cette fiche.
	<?PHP } else { ?>
	Vous ne pouvez pas modifier le type 'à saisir' d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
	<?PHP }?>
	</span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_typmt" align="right">Valeur forfaitaire ?</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
	{ 
		echo "<select name=\"typmt\" size=\"1\" id=\"typmt\" onChange=\"verif_global2(this.value);\">";
		echo "<option value=\"Oui\"";
		if ($tpf_typmt==TRUE) echo " selected";
		echo ">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\"";
		if ($tpf_typmt==FALSE) echo " selected";
		echo ">".$sel_lst_non."</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfmod==FALSE))
	{ 
	if ($tpf_typmt == TRUE)
	{
	?>
	<input name="typmt" type="text" id="typmt" value="Oui" size="3" maxlength="3" readonly="1" >
	<?PHP
	}
	else
	{
	?>
	<input name="typmt" type="text" id="typmt" value="Non" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	}
	?>
	<br><span class="annot_petit_it">
	<?PHP
	if ($tpfmod==TRUE) {
	?>
	'Oui' : la valeur sera valable quelque soit le nombre d'unit&eacute;s de vente.<br>'Non' : la valeur sera proportionnelle au nombre d'unit&eacute;s de vente.
	<?PHP } else { ?>
	Vous ne pouvez pas modifier la valeur forfaitaire d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
	<?PHP }?>
	</span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_global" align="right">Global ?</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfmod==TRUE))
	{ 
		echo "<select name=\"global\" size=\"1\" id=\"global\" onChange=\"verif_tva(this.value);verif_forf(this.value);verif_basepour(this.value)\">";
		echo "<option value=\"Oui\"";
		if ($tpf_global==TRUE) echo " selected";
		echo ">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\"";
		if ($tpf_global==FALSE) echo " selected";
		echo ">".$sel_lst_non."</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfmod==FALSE))
	{ 
	if ($tpf_typmt == TRUE)
	{
	?>
	<input name="global" type="text" id="global" value="Oui" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	else
	{
	?>
	<input name="global" type="text" id="global" value="Non" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	}
	?>
	<br><span class="annot_petit_it">
	<?PHP
	if ($tpfmod==TRUE) {
	?>
	'Oui' : la valeur sera utilis&eacute;e en fin de liste produits sur les interventions.<br>'Non' : la valeur sera utilis&eacute;e dans les fiches articles.
	<?PHP } else { ?>
	Vous ne pouvez pas modifier le type 'global' d'une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention.
	<?PHP }?>
	</span>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_actif" align="right">Active</td>
	<td>
	<?PHP 
	if ((($td == "add") OR ($td == "edit")) AND ($tpfdesact==TRUE))
	{ 
		echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
		echo "<option value=\"Oui\"";
		if ($tpf_actif==TRUE) echo " selected";
		echo ">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\"";
		if ($tpf_actif==FALSE) echo " selected";
		echo ">".$sel_lst_non."</option>";
		echo "</select>";
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP 
	}
	
	if (($td == "del") OR ($td == "view") OR ($tpfdesact==FALSE))
	{ 
	if ($tpf_actif == TRUE)
	{
	?>
	<input name="actif" type="text" id="actif" value="Oui" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	else
	{
	?>
	<input name="actif" type="text" id="actif" value="Non" size="3" maxlength="3" readonly="1">
	<?PHP
	}
	}

	if ($tpfdesact==FALSE) { ?>
	<br><span class="annot_petit_it">Vous ne pouvez pas d&eacute;sactiver une taxe d&eacute;j&agrave; utilis&eacute;e dans une intervention non close.</span>
	<br><span class="annot_petit_it">Si vous d&eacute;sactivez une taxe, elle sera supprim&eacute;e de toutes les fiches articles l'utilisant.</span>
	<?PHP
	}
	?>
	</td>
</tr>
</table>
<p align="center">
<?PHP if (($td == "add") OR ($td == "edit")) { ?>
<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?PHP echo $but_reinit; ?>">
<input name="submit" type="submit" class="bton_std" id="submit" value="<?PHP echo $but_enr; ?>">
<?PHP } ?>
<?PHP if ($td == "del") { ?>
<input name="del" type="submit" class="bton_std" id="del" value="<?PHP echo $but_del; ?>">
<?PHP } ?>
</p>
</form>
<?PHP
}
else
	aff_ret_pbm_auto("tpf_lst.php?ta=m",2000);
include_once("pied.php");
?>
